Create Price Book
POST https://api.secure.quotivity.com/v1/pricebooksCreates a new price book
Send your API key in the x-api-key header. See Generating API keys.
Request body
Section titled “Request body”Required, application/json: CreatePriceBookRequest
Responses
Section titled “Responses”| Status | Body | Description |
|---|---|---|
201 |
PriceBook | Price book created successfully |
400 |
— | Invalid request |
401 |
— | Unauthorized |
500 |
— | Internal Server Error |
Schemas
Section titled “Schemas”CreatePriceBookRequest
Section titled “CreatePriceBookRequest”| Field | Type | Required | Description |
|---|---|---|---|
name |
string | Yes | — |
description |
string | Yes | — |
effectiveStartDate |
string | No | ISO date string (e.g. “2025-01-01”). Requires PRICE_BOOK_EFFECTIVE_DATES feature. |
effectiveEndDate |
string | No | ISO date string (e.g. “2025-12-31”). Requires PRICE_BOOK_EFFECTIVE_DATES feature. |
PriceBook
Section titled “PriceBook”| Field | Type | Required | Description |
|---|---|---|---|
id |
string | Yes | — |
accountId |
string | Yes | — |
name |
string | Yes | — |
description |
string | Yes | — |
bundleOptionId |
string | No | — |
isDeleted |
boolean | No | — |
effectiveStartDate |
string | No | ISO date string (e.g. “2025-01-01”). Requires PRICE_BOOK_EFFECTIVE_DATES feature. |
effectiveEndDate |
string | No | ISO date string (e.g. “2025-12-31”). Requires PRICE_BOOK_EFFECTIVE_DATES feature. |
Ask the help center
Answers come from these guides, with links to the articles used.
Ask anything about configuring quoting in Quotivity Studio.